%global realname riak_search
#
# This package contains only arch-independent data but install it into
# arch-dependent directory thus making this package arch-dependent. In order to
# suppress empty *-debuginfo generation we have to explicitly order
# debuginfo-generator to skip trying to build *-debuiginfo for that package.
#
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.2.1
Release:	1.p2%{?dist}
Summary:	Full-text search engine based on Riak
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/riak_search
# wget --content-disposition https://github.com/basho/riak_search/archive/1.2.1p2.tar.gz
Source0:	%{realname}-%{version}p2.tar.gz
# Fedora/EPEL-specific
Patch1:		%{name}-0001-Don-t-check-for-deps.patch
BuildRequires:	erlang-lager
BuildRequires:	erlang-rebar
BuildRequires:	erlang-riak_api
BuildRequires:	erlang-riak_core
BuildRequires:	erlang-riak_kv
BuildRequires:	erlang-riak_pb
BuildRequires:	erlang-riak_pipe
BuildRequires:	erlang-webmachine
# Error:erlang(basho_bench_config:get/1)
# Error:erlang(basho_bench_config:get/2)
Requires:	erlang-cluster_info%{?_isa}
Requires:	erlang-crypto%{?_isa}
Requires:	erlang-erts%{?_isa}
Requires:	erlang-eunit%{?_isa}
Requires:	erlang-folsom%{?_isa}
Requires:	erlang-inets%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-lager%{?_isa}
Requires:	erlang-luke%{?_isa}
Requires:	erlang-merge_index%{?_isa}
Requires:	erlang-mochiweb%{?_isa}
Requires:	erlang-riak_api%{?_isa}
Requires:	erlang-riak_core%{?_isa}
Requires:	erlang-riak_kv%{?_isa}
Requires:	erlang-riak_pb%{?_isa}
Requires:	erlang-riak_pipe%{?_isa}
Requires:	erlang-stdlib%{?_isa}
Requires:	erlang-webmachine%{?_isa}
Requires:	erlang-xmerl%{?_isa}


%description
The riak_search OTP application provides Riak with the capability to act as a
text search engine similar to Apache’s Lucene. Previously Riak Search was a
release in it’s own right. Since then Basho has decided it would be easier for
our users if Search was simply a set of functionality that can be enabled via a
config option. For that reason, if you want to use Search you’ll have to build
a Riak release and enable it.


%prep
%setup -q -n %{realname}-%{version}p2
%patch1 -p1 -b .nodeps
# remove bundled rebar copy - just to be absolutely sure
rm -f ./rebar


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/lucene_parser-1/{ebin,include}
install -p -m 0644 apps/lucene_parser/ebin/lucene_parser.app %{buildroot}%{_libdir}/erlang/lib/lucene_parser-1/ebin/lucene_parser.app
install -p -m 0644 apps/lucene_parser/ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/lucene_parser-1/ebin
install -p -m 0644 apps/lucene_parser/include/*.hrl %{buildroot}%{_libdir}/erlang/lib/lucene_parser-1/include/

mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include/
install -p -m 0644 priv/default.def %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit -v


%files
%doc LICENSE README.org
%dir %{_libdir}/erlang/lib/lucene_parser-1
%dir %{_libdir}/erlang/lib/lucene_parser-1/ebin
%dir %{_libdir}/erlang/lib/lucene_parser-1/include
%{_libdir}/erlang/lib/lucene_parser-1/ebin/lucene_parser.app
%{_libdir}/erlang/lib/lucene_parser-1/ebin/*.beam
%{_libdir}/erlang/lib/lucene_parser-1/include/*.hrl
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/default.def


%changelog
* Sun Nov 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1.p2
- Ver. 1.2.1p2

* Sun Jul 29 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Ver. 1.1.4 (fully API compatible with 1.1.2)
- Removed sed invocation
- Consistently use macros

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Initial package

